<template>
  <div class="wrapper">
    <div class="card">
      <div class="card__title">
        <slot name="title" />
      </div>
      <slot />
    </div>
  </div>
</template>

<script>
import { defineComponent } from '@vue/runtime-core';

export default defineComponent({
  name: 'unauth-layout',
});
</script>

<style lang="scss" scoped>

.wrapper {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.card {
  width: 25rem;
  padding: 2rem;
  background: #f8f9fa;
  color: #495057;
  border: 1px solid #dee2e6;
  border-radius: 3px;
  display: flex;
  flex-direction: column;

  & > *:not(:last-child) {
    margin-bottom: 1rem;
  }

  &__title {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    font-weight: bold;
  }
}

.form-field {
  width: auto;

  & input {
    width: 20rem;
  }
}

</style>
